<app-menu></app-menu>

<mat-card *ngIf="users.length != 0">
    <h3>Users</h3>
    <mat-table [dataSource]='users'>

        <ng-container matColumnDef="UserName">
            <mat-header-cell *matHeaderCellDef>User name</mat-header-cell>
            <mat-cell *matCellDef="let user">{{user.userName}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Email">
            <mat-header-cell *matHeaderCellDef>Name</mat-header-cell>
            <mat-cell *matCellDef="let user">{{user.email}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Roles">
            <mat-header-cell *matHeaderCellDef>Description</mat-header-cell>
            <mat-cell *matCellDef="let user">{{user.roles.toString()}}</mat-cell>
        </ng-container>

        <ng-container matColumnDef="Admin">
            <mat-header-cell *matHeaderCellDef>start</mat-header-cell>
            <mat-cell *matCellDef="let user; let i = index">
                <button [disabled]="isAdmin(i)" mat-flat-button color="primary" (click)="makeAdmin(user)">Make Admin</button>
            </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="cTitle"></mat-header-row>
        <mat-row *matRowDef="let row; columns: cTitle;"></mat-row>

    </mat-table>
</mat-card>
